
function setGrid(mat)
    
    [rows, columns, numberOfColorChannels] = size(mat);
    hold on;
    for row = 0.5: 1 : rows + 1
        line([0, columns + 1 ], [row, row], 'Color', 'b', 'LineWidth', 1);
    end
    for col = 0.5 : 1 : columns + 1
        line([col, col], [0, rows + 1], 'Color', 'b', 'LineWidth', 1);
    end

end